## kmod 3

=== debian/changelog ===
kmod (3-1) experimental; urgency=low

  * Initial release. (Closes: #652284)
  * When replacing module-init-tools:
    - /etc/modules is preserved
    - /etc/modprobe.d/aliases.conf is deleted if unmodified, otherwise it
      is renamed to aliases-m-i-t.conf and will be used by kmod
    - /etc/init.d/module-init-tools is deleted if unmodified, otherwise it
      is renamed to /etc/init.d/module-init-tools.dpkg-bak

 -- Marco d'Itri <md@linux.it>  Sun, 08 Jan 2012 20:47:12 +0100
