=== debian/control ===
Source: kmod
Section: admin
Priority: important
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>> 8.1.3), perl
Standards-Version: 3.9.2

Package: kmod
Priority: important
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Replaces: module-init-tools (<< 4)
Breaks: module-init-tools (<< 4)
Description: tools for managing Linux kernel modules
 This package contains a set of programs for loading, inserting, and 
 removing kernel modules for Linux.
 It replaces module-init-tools.

Package: module-init-tools
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kmod, libkmod1
Pre-Depends: dpkg (>= 1.15.7.2)
Description: transitional dummy package (module-init-tools to kmod)
 This dummy package is provided to support the transition from
 module-init-tools to kmod and should be removed afterwards.

Package: libkmod1
Section: libs
Priority: important
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libkmod shared library
 This library provides an API for insertion, removal, configuration and
 listing of kernel modules.

Package: libkmod-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libkmod1 (= ${binary:Version})
Description: libkmod development files
 This package contains the files needed for developing applications that
 use libkmod.

Package: libkmod1-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: important
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libkmod shared library
 This is a minimal version of libkmod1, only for use in the installation system.
