=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

BUILD_UDEB := 1



D   := $(CURDIR)/debian/kmod
DK  := $(CURDIR)/debian/libkmod1
DD  := $(CURDIR)/debian/libkmod-dev
DKU := $(CURDIR)/debian/libkmod1-udeb

CONFFLAGS = --sysconfdir=/etc --bindir=/bin
CONFFLAGS_deb  = $(CONFFLAGS) \
  $(shell dpkg-buildflags --export=configure || true) \
  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
  --with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
  --enable-static --enable-debug
CONFFLAGS_udeb = $(CONFFLAGS) \
  $(shell DEB_BUILD_MAINT_OPTIONS="hardening=-all" dpkg-buildflags --export=configure || true) \
  --libdir=/usr/lib --with-rootlibdir=/lib

##############################################################################
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ifdef BUILD_UDEB
  BUILD_UDEB_TARGET := .stamp-build-udeb
else
  NO_PACKAGE := --no-package=libkmod1-udeb
endif

DEB_MIT_VERSION := $(shell dpkg-parsechangelog|sed -n -e 's/^Version: /4.0./p')

##############################################################################
clean:
	rm -rf .stamp-* build-*deb
ifdef KMOD_RECONFIGURE
	rm -f aclocal.m4 autom4te.cache/* config.h.in config.h.in~ configure \
		Makefile.in $$(find m4/ -type l)
endif
	dh_clean

# if enabled, must depend on autoconf, automake, libtool
ifdef KMOD_RECONFIGURE
configure: configure.ac
	autoreconf --force --install --symlink
endif

build-deb/config.status: configure
	[ -d build-deb ] || mkdir build-deb
	cd build-deb/ && \
	../configure $(CONFFLAGS_deb)

build-udeb/config.status: export CFLAGS := -Os -fomit-frame-pointer
build-udeb/config.status: configure
	[ -d build-udeb ] || mkdir build-udeb
	cd build-udeb/ && \
	../configure $(CONFFLAGS_udeb)

build: build-arch build-indep
build-arch: .stamp-build $(BUILD_UDEB_TARGET)
build-indep: .stamp-build $(BUILD_UDEB_TARGET)
.stamp-build: build-deb/config.status
	dh_testdir
	cd build-deb/ && \
	$(MAKE) all
	touch $@

build-udeb: .stamp-build-udeb
.stamp-build-udeb: build-udeb/config.status
	dh_testdir
	cd build-udeb/ && \
	$(MAKE) all
	touch $@

binary-all: .stamp-binary
.stamp-binary: build checkroot
	dh_testdir
	dh_prep

	cd build-deb/ && \
	$(MAKE) install DESTDIR=$D pkgconfigdir=/usr/lib/pkgconfig
	rm $D/usr/lib/*/*.la

	dh_movefiles --sourcedir=debian/kmod
	rmdir --parents --ignore-fail-on-non-empty $$(find $D -type d -empty)

	dh_installdirs
	cp extra/aliases.conf $D/lib/modprobe.d/
	install --mode=755 debian/kmod.initramfs-hook \
		$D/usr/share/initramfs-tools/hooks/kmod

ifdef BUILD_UDEB
	cd build-udeb/ && \
	$(MAKE) install-exec DESTDIR=$(DKU)
	rm -r $(DKU)/usr/

	egrep -i '^[a-z]' extra/aliases.conf > $(DKU)/etc/modprobe.d/aliases.conf
endif

	#mv $D/usr/share/doc/kmod $D/usr/share/doc/libkmod1
	dh_installdocs -pkmod -plibkmod-dev -pmodule-init-tools \
		--link-doc=libkmod1
	dh_installdocs -pkmod --link-doc=libkmod1 README TODO
	dh_installdocs -plibkmod1
	cp libkmod/README $(DD)/usr/share/doc/libkmod1/README.libkmod
	dh_installchangelogs NEWS
	dh_installman extra/*.5
	dh_installinit --no-start --update-rcd-params="start 20 S ."
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -- -c4
	dh_shlibdeps -- --warnings=7
	dh_installdeb
	dh_gencontrol --package=module-init-tools -- \
		-pmodule-init-tools -v'$(DEB_MIT_VERSION)'
	dh_gencontrol --remaining-packages $(NO_PACKAGE)
	dh_md5sums
	touch $@

binary-arch: .stamp-binary
	dh_builddeb -a $(NO_PACKAGE)

binary-indep: .stamp-binary
	dh_builddeb -i

binary:	binary-arch binary-indep

checkroot:
	test root = "`whoami`"

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan --rename --force-download --watchfile debian/watch --destdir $(CURDIR)

.PHONY: clean build build-arch build-indep binary binary-arch binary-indep checkroot
