=== debian/watch ===
version=3
http://packages.profusion.mobi/kmod/kmod-(\d+)\.tar\.xz
