## kmod 6

=== debian/changelog ===
kmod (6-2) unstable; urgency=low

  * Applied a few upstream changesets to fix:
    + depmod correctly processing a kernel versions different from the
      running one. (Closes: #662891)
    + modprobe -q still too much verbose. (Closes: #662822)
    + modprobe -r removing only the first argument. (Closes: #662984)
  * Restored the code from the old module-init-tools package which deletes
    obsolete conffiles. Abort upgrading from releases older than lenny.
    (Closes: #663159)

 -- Marco d'Itri <md@linux.it>  Fri, 16 Mar 2012 02:21:00 +0100

kmod (6-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer approval.
  * Work around FTBFS on ia64 (probable toolchain bug) due to undefined
    references to kmod_log when linking tools/kmod: Add libkmod-private.la
    to kmod's LDADD variable to ensure that linking happens properly.
    + Patch: work_around_linking_issues; tested on merulo.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 07 Mar 2012 01:40:37 +0000

kmod (6-1) unstable; urgency=low

  * New upstream release. Fixes:
    + Documented the modprobe.blacklist parameter. (Closes: #630338)

 -- Marco d'Itri <md@linux.it>  Sat, 03 Mar 2012 16:53:33 +0100

kmod (5-2) experimental; urgency=high

  * Added patch check_if_exists to fix loops caused by install directives.
    (Closes: #659838)

 -- Marco d'Itri <md@linux.it>  Sun, 19 Feb 2012 13:07:21 +0100

kmod (5-1) experimental; urgency=low

  * New upstream release. (Closes: #659195)

 -- Marco d'Itri <md@linux.it>  Sun, 12 Feb 2012 04:48:24 +0100
