=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper (>> 8.1.3), perl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: kmod
 Priority: important
@@ -20,13 +20,13 @@
 Package: module-init-tools
 Priority: extra
 Architecture: all
-Depends: ${misc:Depends}, kmod, libkmod1
+Depends: ${misc:Depends}, kmod, libkmod2
 Pre-Depends: dpkg (>= 1.15.7.2)
 Description: transitional dummy package (module-init-tools to kmod)
  This dummy package is provided to support the transition from
  module-init-tools to kmod and should be removed afterwards.
 
-Package: libkmod1
+Package: libkmod2
 Section: libs
 Priority: important
 Architecture: linux-any
@@ -42,12 +42,12 @@
 Priority: optional
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libkmod1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libkmod2 (= ${binary:Version})
 Description: libkmod development files
  This package contains the files needed for developing applications that
  use libkmod.
 
-Package: libkmod1-udeb
+Package: libkmod2-udeb
 XC-Package-Type: udeb
 Section: debian-installer
 Priority: important
@@ -55,4 +55,4 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: libkmod shared library
- This is a minimal version of libkmod1, only for use in the installation system.
+ This is a minimal version of libkmod2, only for use in the installation system.
