=== debian/rules ===
--- 
+++ 
@@ -6,18 +6,20 @@
 
 
 D   := $(CURDIR)/debian/kmod
-DK  := $(CURDIR)/debian/libkmod1
+DK  := $(CURDIR)/debian/libkmod2
 DD  := $(CURDIR)/debian/libkmod-dev
-DKU := $(CURDIR)/debian/libkmod1-udeb
+DKU := $(CURDIR)/debian/libkmod2-udeb
 
 CONFFLAGS = --sysconfdir=/etc --bindir=/bin
 CONFFLAGS_deb  = $(CONFFLAGS) \
-  $(shell dpkg-buildflags --export=configure || true) \
+  $(shell DEB_BUILD_MAINT_OPTIONS="hardening=+pie" \
+    dpkg-buildflags --export=configure || true) \
   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
   --with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
   --enable-static --enable-debug
 CONFFLAGS_udeb = $(CONFFLAGS) \
-  $(shell DEB_BUILD_MAINT_OPTIONS="hardening=-all" dpkg-buildflags --export=configure || true) \
+  $(shell DEB_BUILD_MAINT_OPTIONS="hardening=-all" \
+    dpkg-buildflags --export=configure || true) \
   --libdir=/usr/lib --with-rootlibdir=/lib
 
 ##############################################################################
@@ -34,10 +36,8 @@
 ifdef BUILD_UDEB
   BUILD_UDEB_TARGET := .stamp-build-udeb
 else
-  NO_PACKAGE := --no-package=libkmod1-udeb
+  NO_PACKAGE := --no-package=libkmod2-udeb
 endif
-
-DEB_MIT_VERSION := $(shell dpkg-parsechangelog|sed -n -e 's/^Version: /4.0./p')
 
 ##############################################################################
 clean:
@@ -48,9 +48,10 @@
 endif
 	dh_clean
 
-# if enabled, must depend on autoconf, automake, libtool
+# if enabled, must build-depend on autoconf, automake, libtool
 ifdef KMOD_RECONFIGURE
 configure: configure.ac
+	gtkdocize --docdir libkmod/docs
 	autoreconf --force --install --symlink
 endif
 
@@ -106,12 +107,12 @@
 	egrep -i '^[a-z]' extra/aliases.conf > $(DKU)/etc/modprobe.d/aliases.conf
 endif
 
-	#mv $D/usr/share/doc/kmod $D/usr/share/doc/libkmod1
+	#mv $D/usr/share/doc/kmod $D/usr/share/doc/libkmod2
 	dh_installdocs -pkmod -plibkmod-dev -pmodule-init-tools \
-		--link-doc=libkmod1
-	dh_installdocs -pkmod --link-doc=libkmod1 README TODO
-	dh_installdocs -plibkmod1
-	cp libkmod/README $(DD)/usr/share/doc/libkmod1/README.libkmod
+		--link-doc=libkmod2
+	dh_installdocs -pkmod --link-doc=libkmod2 README TODO
+	dh_installdocs -plibkmod2
+	cp libkmod/README $(DD)/usr/share/doc/libkmod2/README.libkmod
 	dh_installchangelogs NEWS
 	dh_installman extra/*.5
 	dh_installinit --no-start --update-rcd-params="start 20 S ."
@@ -122,9 +123,7 @@
 	dh_makeshlibs -- -c4
 	dh_shlibdeps -- --warnings=7
 	dh_installdeb
-	dh_gencontrol --package=module-init-tools -- \
-		-pmodule-init-tools -v'$(DEB_MIT_VERSION)'
-	dh_gencontrol --remaining-packages $(NO_PACKAGE)
+	dh_gencontrol $(NO_PACKAGE)
 	dh_md5sums
 	touch $@
