## kmod 9

=== debian/changelog ===
kmod (9-3) unstable; urgency=low

  * Added backported patch dot_kcmdline: correctly parse kcmdline parameters 
    containing a dot. (Closes: #689872)
  * Added backported patch bad_alias_assertion: stop modprobe from aborting 
    from an assertion because of some invalid but common configuration
    directives. (Closes: #674110)
  * Removed the nfs4 alias from aliases.conf as requested by the kernel 
    team. (Closes: #683972)
  * Removed the unnecessary build-dependency on perl. (Closes: #697750)

 -- Marco d'Itri <md@linux.it>  Sun, 07 Apr 2013 18:19:01 +0200

kmod (9-2) unstable; urgency=low

  * Backported upstream fixes to make modprobe work like in module-init-tools
    and not load a blacklisted module even if modprobe is invoked with one of
    its aliases.
  * Report an error when some .bin files do not exist. (Closes: #684901)
  * Really build the udeb with -Os -fomit-frame-pointer.

 -- Marco d'Itri <md@linux.it>  Mon, 27 Aug 2012 00:40:18 +0200

kmod (9-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 25 Jun 2012 02:48:38 +0200

kmod (8-2) unstable; urgency=medium

  * Implemented systemd-compatible processing of modules-load.d directories,
    courtesy of Josh Triplett. (Closes: #672960)
  * Properly fix kmod on ia64 with backported patch commit-d30319e.

 -- Marco d'Itri <md@linux.it>  Sun, 20 May 2012 23:19:47 +0200

kmod (8-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + An unclear error message. (Closes: #668216)
  * Moved libkmod.pc to the multiarch directory. (Closes: #670005)
  * Do not warn about a missing modules.builtin file for kernel versions
    < 2.6.33. (Closes: #670965)
  * Removed patch work_around_linking_issues, which is properly fixed by
    upstream patch commit-9625375.
  * Made the init script exit without processing /etc/modules if the
    /etc/modules-load.d/modules.conf symlink exists.

 -- Marco d'Itri <md@linux.it>  Mon, 14 May 2012 02:45:06 +0200
