=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: important
 Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper (>> 8.1.3), perl
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>> 8.1.3)
+Standards-Version: 3.9.3.1
 
 Package: kmod
 Priority: important
