=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,9 @@
   --with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
   --enable-static --enable-debug
 CONFFLAGS_udeb = $(CONFFLAGS) \
-  $(shell DEB_BUILD_MAINT_OPTIONS="hardening=-all" \
-    dpkg-buildflags --export=configure || true) \
-  --libdir=/usr/lib --with-rootlibdir=/lib
+  $(subst -O2,-Os -fomit-frame-pointer,$(shell DEB_BUILD_MAINT_OPTIONS="hardening=-all" \
+    dpkg-buildflags --export=configure || true)) \
+  --libdir=/lib --with-rootlibdir=/lib --disable-shared
 
 ##############################################################################
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -60,7 +60,6 @@
 	cd build-deb/ && \
 	../configure $(CONFFLAGS_deb)
 
-build-udeb/config.status: export CFLAGS := -Os -fomit-frame-pointer
 build-udeb/config.status: configure
 	[ -d build-udeb ] || mkdir build-udeb
 	cd build-udeb/ && \
@@ -72,14 +71,14 @@
 .stamp-build: build-deb/config.status
 	dh_testdir
 	cd build-deb/ && \
-	$(MAKE) all
+	$(MAKE) all V=1
 	touch $@
 
 build-udeb: .stamp-build-udeb
 .stamp-build-udeb: build-udeb/config.status
 	dh_testdir
 	cd build-udeb/ && \
-	$(MAKE) all
+	$(MAKE) all V=1
 	touch $@
 
 binary-all: .stamp-binary
@@ -88,7 +87,7 @@
 	dh_prep
 
 	cd build-deb/ && \
-	$(MAKE) install DESTDIR=$D pkgconfigdir=/usr/lib/pkgconfig
+	$(MAKE) install DESTDIR=$D
 	rm $D/usr/lib/*/*.la
 
 	dh_movefiles --sourcedir=debian/kmod
@@ -102,7 +101,7 @@
 ifdef BUILD_UDEB
 	cd build-udeb/ && \
 	$(MAKE) install-exec DESTDIR=$(DKU)
-	rm -r $(DKU)/usr/
+	rm -r $(DKU)/lib/
 
 	egrep -i '^[a-z]' extra/aliases.conf > $(DKU)/etc/modprobe.d/aliases.conf
 endif
@@ -120,7 +119,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -- -c4
+	dh_makeshlibs --add-udeb=libkmod2-udeb -- -c4
 	dh_shlibdeps -- --warnings=7
 	dh_installdeb
 	dh_gencontrol $(NO_PACKAGE)
