## kmod 15

=== debian/changelog ===
kmod (15-0ubuntu7) trusty; urgency=medium

  * depmod-ignore-powerpc64-abiv2-toc-symbol.patch: Ignore the TOC symbol
    in depmod on PPC64 as it does not need to be relocated (LP: #1696710)

 -- Juerg Haefliger <juergh@canonical.com>  Fri, 06 Apr 2018 12:52:17 +0200

kmod (15-0ubuntu6) trusty; urgency=medium

  * debian/rules: Install mlx4.conf in the udeb as well (LP: #1305874)
  * debian/kmod.upstart: Process all the modules-load.d (LP: #1302767)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 08 Apr 2014 13:40:16 -0600

kmod (15-0ubuntu5) trusty; urgency=low

  * Build-depend on gtk-doc-tools too.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Dec 2013 20:53:33 +0100

kmod (15-0ubuntu4) trusty; urgency=low

  * Use dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Dec 2013 20:32:14 +0100

kmod (15-0ubuntu3) trusty; urgency=low

  * Update libtool.m4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Dec 2013 20:08:56 +0100

kmod (15-0ubuntu2) trusty; urgency=low

  * Add missing build-dep on xsltproc to resolve FTBFS on all arches.
  * Restore dropped check_builtin_kver to keep delta with Debian low.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 23 Oct 2013 23:00:46 -0600

kmod (15-0ubuntu1) trusty; urgency=low

  * New upstream release. (See Debian #716739)
  * Drop patches included upstream: dot_kcmdline, bad_alias_assertion,
    blacklist_aliased.
  * Drop check_builtin_kver, this would only apply to lucid and is otherwise
    unnecessary.
  * Drop --disable-shared/--enable-static, this got dropped in this version
    and isn't necessary any more. /bin/kmod does not dynamically link to
    libkmod by default now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Oct 2013 06:16:30 +0200

kmod (9-3ubuntu1) raring; urgency=low

  * Merge with Debian unstable, bringing in a backport of upstream's
    comprehensive fix for the bad alias assertion bug (LP: #1073062)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 18 Apr 2013 13:16:44 -0600

kmod (9-2ubuntu8) raring; urgency=low

  * Add debian/patches/do_not_raise_on_null_alias to avoid
    raising errors when dealing with modules whose aliases
    are set to either "null" or "off" (LP: #1073062).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 13 Mar 2013 18:02:53 +0100

kmod (9-2ubuntu7) raring; urgency=low

  * Add /etc/modprobe.d/mlx4.conf for loading mlx4_en when mlx4_core
    gets loaded (LP: #1115710).

 -- Scott Moser <smoser@ubuntu.com>  Tue, 05 Feb 2013 15:36:49 -0500

kmod (9-2ubuntu6) raring; urgency=low

  * Remove /etc/init/module-init-tools.conf on upgrade (LP: #1082006)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 24 Jan 2013 00:11:39 -0700

kmod (9-2ubuntu5) raring; urgency=low

  * Fix permissions on /etc/depmod.d, /etc/modprobe.d.  (LP: #1082598)

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 22 Jan 2013 15:06:45 +0100

kmod (9-2ubuntu4) raring; urgency=low

  * Drop unused build-dependency on perl, to simplify cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Jan 2013 10:41:07 +0000

kmod (9-2ubuntu3) raring; urgency=low

  * Add debian/patches/allow_dots_in_params to fix parsing of
    commandline arguments with dots in them (closes: #689872)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 30 Oct 2012 21:20:10 +0000

kmod (9-2ubuntu2) raring; urgency=low

  * Don't copy /lib/modprobe.d/* in our version of the kmod
    initramfs hook; we currently don't ship anything there.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 29 Oct 2012 13:27:18 +0000

kmod (9-2ubuntu1) raring; urgency=low

  * Sync with Debian unstable; remaining Ubuntu changes:
    - Ubuntu-specific depmod.d and modprobe.d contents.
    - Mark module-init-tools Multi-Arch: foreign.
    - Don't install Debian's extra/aliases.conf file.
    - Install upstart job instead of the sysvinit script.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 21 Sep 2012 16:05:32 -0600

kmod (9-1ubuntu1) quantal; urgency=low

  * Initial sync with debian 9-1, remaining (module-init-tools) changes:
    - Ubuntu specific depmod.d and modprobe.d contents.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 04 Jul 2012 19:18:01 +0100
