=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kmod
 Section: admin
 Priority: important
-Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper (>> 8.1.3)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Build-Depends: debhelper (>> 8.1.3), xsltproc, automake, autoconf, gtk-doc-tools, libtool
 Standards-Version: 3.9.3.1
 
 Package: kmod
@@ -20,6 +21,7 @@
 Package: module-init-tools
 Priority: extra
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, kmod, libkmod2
 Pre-Depends: dpkg (>= 1.15.7.2)
 Description: transitional dummy package (module-init-tools to kmod)
