=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,11 @@
     dpkg-buildflags --export=configure || true) \
   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
   --with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
-  --enable-static --enable-debug
+  --enable-debug
 CONFFLAGS_udeb = $(CONFFLAGS) \
   $(subst -O2,-Os -fomit-frame-pointer,$(shell DEB_BUILD_MAINT_OPTIONS="hardening=-all" \
     dpkg-buildflags --export=configure || true)) \
-  --libdir=/lib --with-rootlibdir=/lib --disable-shared
+  --libdir=/lib --with-rootlibdir=/lib
 
 ##############################################################################
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -38,6 +38,8 @@
 else
   NO_PACKAGE := --no-package=libkmod2-udeb
 endif
+
+KMOD_RECONFIGURE = yes
 
 ##############################################################################
 clean:
@@ -94,16 +96,20 @@
 	rmdir --parents --ignore-fail-on-non-empty $$(find $D -type d -empty)
 
 	dh_installdirs
-	cp extra/aliases.conf $D/lib/modprobe.d/
 	install --mode=755 debian/kmod.initramfs-hook \
 		$D/usr/share/initramfs-tools/hooks/kmod
+
+	install --mode=755 -d $D/etc/modprobe.d
+	install --mode=644 -t $D/etc/modprobe.d debian/modprobe.d/*
+	install --mode=755 -d $D/etc/depmod.d
+	install --mode=644 -t $D/etc/depmod.d debian/depmod.d/*
 
 ifdef BUILD_UDEB
 	cd build-udeb/ && \
 	$(MAKE) install-exec DESTDIR=$(DKU)
+	install --mode=755 -d $(DKU)/etc/modprobe.d
+	install --mode=644 -t $(DKU)/etc/modprobe.d debian/modprobe.d/mlx4.conf
 	rm -r $(DKU)/lib/
-
-	egrep -i '^[a-z]' extra/aliases.conf > $(DKU)/etc/modprobe.d/aliases.conf
 endif
 
 	#mv $D/usr/share/doc/kmod $D/usr/share/doc/libkmod2
@@ -114,7 +120,7 @@
 	cp libkmod/README $(DD)/usr/share/doc/libkmod2/README.libkmod
 	dh_installchangelogs NEWS
 	dh_installman extra/*.5
-	dh_installinit --no-start --update-rcd-params="start 20 S ."
+	dh_installinit --no-start -- start 15 S .
 	dh_link
 	dh_strip
 	dh_compress
