=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: kmod
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper (>> 8.1.3), xsltproc, automake, autoconf, gtk-doc-tools, libtool
-Standards-Version: 3.9.3.1
+Maintainer: Marco d'Itri <md@linux.it>
+Build-Depends: debhelper (>> 9), xsltproc,
+  autoconf, automake, libtool, gtk-doc-tools
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/git/users/md/kmod.git
+Vcs-Browser: http://anonscm.debian.org/cgit/users/md/kmod.git
 
 Package: kmod
-Priority: important
 Architecture: linux-any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Replaces: module-init-tools (<< 4)
-Breaks: module-init-tools (<< 4)
+Breaks: module-init-tools (<< 4), oss-compat (= 4), alsa-base (<= 1.0.25+3)
 Description: tools for managing Linux kernel modules
  This package contains a set of programs for loading, inserting, and 
  removing kernel modules for Linux.
@@ -21,7 +22,6 @@
 Package: module-init-tools
 Priority: extra
 Architecture: all
-Multi-Arch: foreign
 Depends: ${misc:Depends}, kmod, libkmod2
 Pre-Depends: dpkg (>= 1.15.7.2)
 Description: transitional dummy package (module-init-tools to kmod)
@@ -30,7 +30,6 @@
 
 Package: libkmod2
 Section: libs
-Priority: important
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -50,9 +49,8 @@
  use libkmod.
 
 Package: libkmod2-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Section: debian-installer
-Priority: important
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
