=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 SHELL+= -e
 
+KMOD_RECONFIGURE := 1
 BUILD_UDEB := 1
 
 
@@ -39,18 +40,17 @@
   NO_PACKAGE := --no-package=libkmod2-udeb
 endif
 
-KMOD_RECONFIGURE = yes
-
 ##############################################################################
 clean:
 	rm -rf .stamp-* build-*deb
 ifdef KMOD_RECONFIGURE
 	rm -f aclocal.m4 autom4te.cache/* config.h.in config.h.in~ configure \
-		Makefile.in $$(find m4/ -type l)
+		$$(find . -name Makefile.in) \
+		$$(find m4/ build-aux/ libkmod/ -type l)
 endif
 	dh_clean
 
-# if enabled, must build-depend on autoconf, automake, libtool
+# if enabled, must build-depend on: autoconf, automake, libtool, gtk-doc-tools
 ifdef KMOD_RECONFIGURE
 configure: configure.ac
 	gtkdocize --docdir libkmod/docs
@@ -96,20 +96,16 @@
 	rmdir --parents --ignore-fail-on-non-empty $$(find $D -type d -empty)
 
 	dh_installdirs
+	cp extra/aliases.conf $D/lib/modprobe.d/
 	install --mode=755 debian/kmod.initramfs-hook \
 		$D/usr/share/initramfs-tools/hooks/kmod
-
-	install --mode=755 -d $D/etc/modprobe.d
-	install --mode=644 -t $D/etc/modprobe.d debian/modprobe.d/*
-	install --mode=755 -d $D/etc/depmod.d
-	install --mode=644 -t $D/etc/depmod.d debian/depmod.d/*
 
 ifdef BUILD_UDEB
 	cd build-udeb/ && \
 	$(MAKE) install-exec DESTDIR=$(DKU)
-	install --mode=755 -d $(DKU)/etc/modprobe.d
-	install --mode=644 -t $(DKU)/etc/modprobe.d debian/modprobe.d/mlx4.conf
 	rm -r $(DKU)/lib/
+
+	egrep -i '^[a-z]' extra/aliases.conf > $(DKU)/etc/modprobe.d/aliases.conf
 endif
 
 	#mv $D/usr/share/doc/kmod $D/usr/share/doc/libkmod2
@@ -120,7 +116,7 @@
 	cp libkmod/README $(DD)/usr/share/doc/libkmod2/README.libkmod
 	dh_installchangelogs NEWS
 	dh_installman extra/*.5
-	dh_installinit --no-start -- start 15 S .
+	dh_installinit --no-start
 	dh_link
 	dh_strip
 	dh_compress
