## kmod 22

=== debian/changelog ===
kmod (22-1ubuntu4) xenial; urgency=low

  * fix brown paper bag error in reinstated package name:
    modules-init-tools -> module-init-tools.

 -- Andy Whitcroft <apw@ubuntu.com>  Sun, 13 Mar 2016 13:25:20 +0000

kmod (22-1ubuntu3) xenial; urgency=low

  * reinstate module-init-tools transitional package.  (LP: #1550741)
   - as we have versioned dependancies from the kernel to this in 14.04
     removing this package throws the apt in trusty for a loop preventing
     upgrades.
   - note that this reverts the P/C/R combo from the previous upload.

 -- Andy Whitcroft <apw@canonical.com>  Wed, 09 Mar 2016 10:31:51 +0000

kmod (22-1ubuntu2) xenial; urgency=low

  * Provides/Conflicts/Replaces: module-init-tools to fix upgrades from
    15.10 which has a strict versioned Depends: on kmod.  (LP: #1550741)

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 08 Mar 2016 18:20:05 +0000

kmod (22-1ubuntu1) xenial; urgency=low

  * Merge with Debian unstable (LP: #1541917).  Remaining changes:
    - Install ubuntu-specific depmod.d and modprobe.d contents.
    - Install /etc/modprobe.d/mlx4.conf in libkmod2-udeb for d-i.
    - Install upstart job and exit the init script under upstart.
    - Mark transitional module-init-tools as Multi-Arch: foreign.
    - Drop the alsa-base Breaks, our version is quite different.
    - On upgrade, remove obsolete rtc module from /etc/modules.
    - Update libtool macros and rerun autoconf for new arches.

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 04 Feb 2016 16:20:12 +0000

kmod (22-1) unstable; urgency=medium

  * New upstream release.
  * Set $SOURCE_DATE_EPOCH in debian/rules for reproducibility.
    (Closes: #783152)
  * Remove the module-init-tools transitional package.

 -- Marco d'Itri <md@linux.it>  Sun, 20 Dec 2015 17:04:10 +0100

kmod (21-1ubuntu1) wily; urgency=medium

  * Merge with Debian unstable (LP: #1487040).  Remaining changes:
    - Install ubuntu-specific depmod.d and modprobe.d contents.
    - Install /etc/modprobe.d/mlx4.conf in libkmod2-udeb for d-i.
    - Install upstart job and exit the init script under upstart.
    - Mark transitional module-init-tools as Multi-Arch: foreign.
    - Drop the alsa-base Breaks, our version is quite different.
    - On upgrade, remove obsolete rtc module from /etc/modules.
    - Update libtool macros and rerun autoconf for new arches.

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 20 Aug 2015 12:43:22 +0100

kmod (21-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + spurious spaces in lsmod output. (Closes: #782692)
    + a missing comman in rmmod(8). (Closes: #787548)
  * kmod.init: support the modules-load.d directories in /usr.
    (Closes: #673747)
  * Build the developers' documentation with gtk-doc. (Closes: #789462)

 -- Marco d'Itri <md@linux.it>  Sun, 05 Jul 2015 21:18:24 +0200

kmod (20-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 08 Mar 2015 19:10:08 +0100

kmod (18-3ubuntu1) vivid; urgency=medium

  * Merge with Debian testing, bringing in /etc/modules migration code
    so that systemd doesn't fail on old modules files with parameters.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 06 Apr 2015 14:12:36 -0600

kmod (18-1ubuntu2) utopic; urgency=medium

  * blacklist-framebuffer.conf: blacklist bochs-drm (LP: #1378648)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 14 Oct 2014 05:04:57 -0600

kmod (18-1ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Install ubuntu-specific depmod.d and modprobe.d contents.
    - Install /etc/modprobe.d/mlx4.conf in libkmod2-udeb for d-i.
    - Install upstart job and exit the init script under upstart.
    - Mark transitional module-init-tools as Multi-Arch: foreign.
    - Test-guard /lib/modprobe.d/* copying in our initramfs hook.
    - Drop the alsa-base Breaks, our version is quite different.
    - On upgrade, remove obsolete rtc module from /etc/modules.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 23 Jun 2014 22:47:02 -0600

kmod (16-2ubuntu4) utopic; urgency=medium

  * On upgrade to this version, remove rtc module from /etc/modules. rtc
    is obsolete and doesn't exist anymore.  This is a clean up after,
    older versions of installers that unconditionally added it to modules.
    LP: #1317077

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 May 2014 15:19:40 +0100

kmod (16-2ubuntu3) utopic; urgency=medium

  * Revert the previous change and replace with test-guarded copy.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 27 Apr 2014 22:38:31 -0600

kmod (16-2ubuntu2) utopic; urgency=high

  * Resurrect dropped post-merge change:
    - Don't copy /lib/modprobe.d/* in our version of the kmod
      initramfs hook; we currently don't ship anything there.
  
 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 27 Apr 2014 00:48:29 +0100

kmod (16-2ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Install ubuntu-specific depmod.d and modprobe.d contents.
    - Install /etc/modprobe.d/mlx4.conf in libkmod2-udeb for d-i.
    - Install upstart job and exit the init script under upstart.
    - Update libtool macros and rerun autoconf for new arches.
    - Mark module-init-tools as Multi-Arch: foreign.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 21 Apr 2014 22:35:26 -0600
