=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 CONFFLAGS_deb  = $(CONFFLAGS) \
   $(shell DEB_BUILD_MAINT_OPTIONS="hardening=+pie" \
     dpkg-buildflags --export=configure || true) \
+  --enable-gtk-doc \
   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
   --with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
   --enable-debug
@@ -24,6 +25,9 @@
   --libdir=/lib --with-rootlibdir=/lib
 
 ##############################################################################
+SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog --show-field=Date | date --file=- +%s)
+export SOURCE_DATE_EPOCH
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -100,17 +104,22 @@
 	install --mode=755 debian/kmod.initramfs-hook \
 		$D/usr/share/initramfs-tools/hooks/kmod
 
+	install --mode=755 -d $D/etc/modprobe.d
+	install --mode=644 -t $D/etc/modprobe.d debian/modprobe.d/*
+	install --mode=755 -d $D/etc/depmod.d
+	install --mode=644 -t $D/etc/depmod.d debian/depmod.d/*
+
 ifdef BUILD_UDEB
 	cd build-udeb/ && \
 	$(MAKE) install-exec DESTDIR=$(DKU)
+	install --mode=755 -d $(DKU)/etc/modprobe.d
+	install --mode=644 -t $(DKU)/etc/modprobe.d debian/modprobe.d/mlx4.conf
 	rm -r $(DKU)/lib/
 
 	egrep -i '^[a-z]' extra/aliases.conf > $(DKU)/etc/modprobe.d/aliases.conf
 endif
 
-	#mv $D/usr/share/doc/kmod $D/usr/share/doc/libkmod2
-	dh_installdocs -pkmod -plibkmod-dev -pmodule-init-tools \
-		--link-doc=libkmod2
+	dh_installdocs -pkmod -plibkmod-dev --link-doc=libkmod2
 	dh_installdocs -pkmod --link-doc=libkmod2 README TODO
 	dh_installdocs -plibkmod2
 	cp libkmod/README $(DD)/usr/share/doc/libkmod2/README.libkmod
