## kmod 23

=== debian/changelog ===
kmod (23-2) unstable; urgency=medium

  * Backported upstream commit 6b77f18 to stop depmod crashing after
    detecting a dependency cycle. (Closes: #846888)
  * Enabled hardening=+bindnow.

 -- Marco d'Itri <md@linux.it>  Mon, 26 Dec 2016 03:42:54 +0100

kmod (23-1) unstable; urgency=medium

  * New upstream release. (Closes: #837626)

 -- Marco d'Itri <md@linux.it>  Tue, 27 Sep 2016 01:40:32 +0200
