=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 CONFFLAGS = --sysconfdir=/etc --bindir=/bin
 CONFFLAGS_deb  = $(CONFFLAGS) \
-  $(shell DEB_BUILD_MAINT_OPTIONS="hardening=+pie" \
+  $(shell DEB_BUILD_MAINT_OPTIONS="hardening=+bindnow" \
     dpkg-buildflags --export=configure || true) \
   --enable-gtk-doc \
   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -104,16 +104,9 @@
 	install --mode=755 debian/kmod.initramfs-hook \
 		$D/usr/share/initramfs-tools/hooks/kmod
 
-	install --mode=755 -d $D/etc/modprobe.d
-	install --mode=644 -t $D/etc/modprobe.d debian/modprobe.d/*
-	install --mode=755 -d $D/etc/depmod.d
-	install --mode=644 -t $D/etc/depmod.d debian/depmod.d/*
-
 ifdef BUILD_UDEB
 	cd build-udeb/ && \
 	$(MAKE) install-exec DESTDIR=$(DKU)
-	install --mode=755 -d $(DKU)/etc/modprobe.d
-	install --mode=644 -t $(DKU)/etc/modprobe.d debian/modprobe.d/mlx4.conf
 	rm -r $(DKU)/lib/
 
 	egrep -i '^[a-z]' extra/aliases.conf > $(DKU)/etc/modprobe.d/aliases.conf
