## kmod 24

=== debian/changelog ===
kmod (24-1ubuntu3) bionic; urgency=medium

  * Remove /etc/modprobe.d/mlx4.conf: The kernel module mlx4_core will
    automatically load the mlx4_en/mlx4_ib modules (LP: #1693503)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 28 Jan 2018 16:34:49 +0100

kmod (24-1ubuntu2) artful; urgency=medium

  * Drop upstart job.
  * Drop upstart specific init.d changes.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 Aug 2017 19:33:39 +0100

kmod (24-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install ubuntu-specific depmod.d and modprobe.d contents.
    - Install /etc/modprobe.d/mlx4.conf in libkmod2-udeb for d-i.
    - Install upstart job and exit the init script under upstart.
    - Mark transitional module-init-tools as Multi-Arch: foreign.
    - Drop the alsa-base Breaks, our version is quite different.
    - On upgrade, remove obsolete rtc module from /etc/modules.
    - Update libtool macros and rerun autoconf for new arches.
  * Fix rules to only build indep packages for binary-indep.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 28 Apr 2017 14:19:16 +0100

kmod (24-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 27 Feb 2017 02:50:32 +0100

kmod (22-1.1ubuntu1) yakkety; urgency=low

  * Merge with Debian unstable (LP: #1578667).  Remaining changes:
    - Install ubuntu-specific depmod.d and modprobe.d contents.
    - Install /etc/modprobe.d/mlx4.conf in libkmod2-udeb for d-i.
    - Install upstart job and exit the init script under upstart.
    - Mark transitional module-init-tools as Multi-Arch: foreign.
    - Drop the alsa-base Breaks, our version is quite different.
    - On upgrade, remove obsolete rtc module from /etc/modules.
    - Update libtool macros and rerun autoconf for new arches.
  * d/p/depmod-ignore-powerpc64-abiv2-toc-symbol.patch: ignore the
    .TOC. symbol on ppc64el it does not need to be relocated and can be
    ignored by depmod.
  * drop debian/modprobe.d/blacklist-watchdog.conf as now supplied by
    the primary kernel automatically.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 15 Jun 2016 11:52:42 +0300

kmod (22-1.1) unstable; urgency=medium

  [ Ben Hutchings ]
  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTBFS (Closes: #819089)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 04 Apr 2016 18:14:56 +0100
