=== debian/rules ===
--- 
+++ 
@@ -104,9 +104,15 @@
 	install --mode=755 debian/kmod.initramfs-hook \
 		$D/usr/share/initramfs-tools/hooks/kmod
 
+	install --mode=755 -d $D/etc/modprobe.d
+	install --mode=644 -t $D/etc/modprobe.d debian/modprobe.d/*
+	install --mode=755 -d $D/etc/depmod.d
+	install --mode=644 -t $D/etc/depmod.d debian/depmod.d/*
+
 ifdef BUILD_UDEB
 	cd build-udeb/ && \
 	$(MAKE) install-exec DESTDIR=$(DKU)
+	install --mode=755 -d $(DKU)/etc/modprobe.d
 	rm -r $(DKU)/lib/
 
 	egrep -i '^[a-z]' extra/aliases.conf > $(DKU)/etc/modprobe.d/aliases.conf
@@ -126,14 +132,16 @@
 	dh_makeshlibs --add-udeb=libkmod2-udeb -- -c4
 	dh_shlibdeps -- --warnings=7
 	dh_installdeb
-	dh_gencontrol $(NO_PACKAGE)
-	dh_md5sums
 	touch $@
 
 binary-arch: .stamp-binary
+	dh_gencontrol -a  $(NO_PACKAGE)
+	dh_md5sums -a $(NO_PACKAGE)
 	dh_builddeb -a $(NO_PACKAGE)
 
 binary-indep: .stamp-binary
+	dh_gencontrol -i
+	dh_md5sums -i
 	dh_builddeb -i
 
 binary:	binary-arch binary-indep
