## kmod 25

=== debian/changelog ===
kmod (25-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install ubuntu-specific depmod.d and modprobe.d contents.
    - Drop the alsa-base Breaks, our version is quite different.
    - On upgrade, remove obsolete rtc module from /etc/modules.
    - Fix rules to only build indep packages for binary-indep.
    - Remove /etc/modprobe.d/mlx4.conf: The kernel module mlx4_core
      will automatically load the mlx4_en/mlx4_ib modules (LP 1693503)
  * Dropped transitional module-init-tools package

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 28 May 2018 15:12:03 +0200

kmod (25-1) unstable; urgency=medium

  * New upstream release.
  * Enabled support for xz-compressed modules. (Closes: #772628)

 -- Marco d'Itri <md@linux.it>  Sun, 21 Jan 2018 01:02:46 +0100
