=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: kmod
 Section: admin
 Priority: important
-Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper (>> 9), xsltproc,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Build-Depends: debhelper (>> 9.20160403~), liblzma-dev, xsltproc,
   autoconf, automake, libtool, gtk-doc-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
 Vcs-Git: https://anonscm.debian.org/git/users/md/kmod.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/md/kmod.git
 
@@ -12,7 +14,7 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
-Breaks: oss-compat (= 4), alsa-base (<= 1.0.25+3)
+Breaks: oss-compat (= 4)
 Description: tools for managing Linux kernel modules
  This package contains a set of programs for loading, inserting, and 
  removing kernel modules for Linux.
@@ -20,6 +22,7 @@
 
 Package: libkmod2
 Section: libs
+Priority: optional
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
