=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
 SHELL+= -e
 
-KMOD_RECONFIGURE := 1
+ifeq ($(filter noudeb,$(DEB_BUILD_PROFILES)),)
 BUILD_UDEB := 1
-
-
+endif
 
 D   := $(CURDIR)/debian/kmod
 DK  := $(CURDIR)/debian/libkmod2
@@ -16,6 +15,7 @@
   $(shell DEB_BUILD_MAINT_OPTIONS="hardening=+bindnow" \
     dpkg-buildflags --export=configure || true) \
   --enable-gtk-doc \
+  --with-xz \
   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
   --with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
   --enable-debug
@@ -47,19 +47,16 @@
 ##############################################################################
 clean:
 	rm -rf .stamp-* build-*deb
-ifdef KMOD_RECONFIGURE
-	rm -f aclocal.m4 autom4te.cache/* config.h.in config.h.in~ configure \
-		$$(find . -name Makefile.in) \
-		$$(find m4/ build-aux/ libkmod/ -type l)
-endif
+	dh_autoreconf_clean
+	# delete the symlinks created by gtkdocize
+	rm -f $$(find m4/ build-aux/ libkmod/ -type l)
 	dh_clean
 
-# if enabled, must build-depend on: autoconf, automake, libtool, gtk-doc-tools
-ifdef KMOD_RECONFIGURE
-configure: configure.ac
+libkmod/docs/gtk-doc.make:
 	gtkdocize --docdir libkmod/docs
-	autoreconf --force --install --symlink
-endif
+
+configure: configure.ac libkmod/docs/gtk-doc.make
+	dh_autoreconf
 
 build-deb/config.status: configure
 	[ -d build-deb ] || mkdir build-deb
@@ -88,8 +85,9 @@
 	touch $@
 
 binary-all: .stamp-binary
-.stamp-binary: build checkroot
+.stamp-binary: build
 	dh_testdir
+	dh_testroot
 	dh_prep
 
 	cd build-deb/ && \
@@ -146,11 +144,8 @@
 
 binary:	binary-arch binary-indep
 
-checkroot:
-	test root = "`whoami`"
-
 get-orig-source:
 	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
 	uscan --rename --force-download --watchfile debian/watch --destdir $(CURDIR)
 
-.PHONY: clean build build-arch build-indep binary binary-arch binary-indep checkroot
+.PHONY: clean build build-arch build-indep binary binary-arch binary-indep
